Scripting problem - custom filter - solid objects

When I have closed extrusions, the following custom filter does not let me pick the extrusions one-by one, but it does allow me to window select them…

import rhinoscriptsyntax as rs

def solid_filt(rhino_object, geometry, component_index):
    return geometry.IsSolid
    
objs=rs.GetObjects("Select closed polysurfaces",16,custom_filter=solid_filt)

if I add extrusion objects explicitly, it works correctly.

objs=rs.GetObjects("Select closed polysurfaces",16+1073741824,custom_filter=solid_filt)

I have reported similar things before… I don’t expect V5 to be fixed in this case, I guess, but V6 hasn’t been fixed yet either.

–Mitch